//############################################
//#
//#	Firework 1: Spark Fountain (S)
//#	---------------------------------------------------------------------
//#	Emitter Based
//#
//############################################

datablock ParticleData(FW_sparkFountainSParticle)
{
	windCoefficient		= 0;
	dragCoefficient		= 4;
	gravityCoefficient		= 1.0;
	inheritedVelFactor		= 1.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 1000;
	lifetimeVarianceMS		= 300;
	textureName		= "base/lighting/flare";
	spinSpeed		= 0.0;
	spinRandomMin		= -90.0;
	spinRandomMax		= 90.0;
	colors[0]			= "1 1 0.5 1";
	colors[1]			= "1 1 0.0 1";
	colors[2]			= "1 0 0 0";
	sizes[0]			= 0.4;
	sizes[1] 			= 0.5;
	sizes[2]			= 0.0;
	times[0] 			= 0;
	times[1] 			= 0.5;
	times[2] 			= 1.0;
};
datablock ParticleEmitterData(FW_sparkFountainSEmitter)
{
	ejectionPeriodMS 		= 1;
	periodVarianceMS 		= 0;
	ejectionVelocity 		= 25;
	velocityVariance 		= 5;
	ejectionOffset		= 0;
	thetaMin			= 0;
	thetaMax			= 15;
	phiReferenceVel  		= 0;
	phiVariance		= 360;
	overrideAdvance 		= false;
	particles 			= "FW_sparkFountainSParticle";

	useEmitterColors 		= 1;

	uiName			= "FW - Spark Fountain (S)";
};

//############################################
//#
//#	Firework 2: Spark Fountain (L)
//#	---------------------------------------------------------------------
//#	Emitter Based
//#
//############################################

datablock ParticleData(FW_sparkFountainLParticle)
{
	windCoefficient		= 0;
	dragCoefficient		= 3;
	gravityCoefficient		= 1.0;
	inheritedVelFactor		= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 1000;
	lifetimeVarianceMS		= 400;
	textureName		= "base/lighting/flare";
	spinSpeed		= 200.0;
	spinRandomMin		= -90.0;
	spinRandomMax		= 90.0;
	colors[0]			= "1 1 0.5 1";
	colors[1]			= "1 1 0.0 1";
	colors[2]			= "1 0 0 0";
	sizes[0]			= 0.6;
	sizes[1] 			= 0.8;
	sizes[2]			= 0.0;
	times[0] 			= 0;
	times[1] 			= 0.5;
	times[2] 			= 1.0;
};
datablock ParticleEmitterData(FW_sparkFountainLEmitter)
{
	ejectionPeriodMS 		= 1;
	periodVarianceMS 		= 0;
	ejectionVelocity 		= 40;
	velocityVariance 		= 5;
	ejectionOffset		= 0;
	thetaMin			= 0;
	thetaMax			= 10;
	phiReferenceVel  		= 0;
	phiVariance		= 360;
	overrideAdvance 		= false;
	particles 			= "FW_sparkFountainLParticle";

	useEmitterColors 		= 1;

	uiName			= "FW - Spark Fountain (L)";
};